<template>
  <h5>
    grpc DEMO
    <br>
    {{ TodayCalcValues }}
  </h5>
</template>

<script>
import {SignInPasswordRequest} from "@/grpc/base_pb";

export default {
  data() {
    return {
      eqSn: '30:9C:23:0C:8B:1E',
      TodayCalcValues: '11332233',
    }
  },
  mounted() {
    this.grpcServe();
  },
  methods: {
    grpcServe() {
      let that = this;
      let getRequest = new SignInPasswordRequest();
      getRequest.setPassword("asdf*123");
      getRequest.setExpirationsec(10000);
      console.log("getRequest:" + getRequest);
      that.client.genPhoneVerifyCode(getRequest, {}, (err, response) => {
        console.log(err)
        that.TodayCalcValues = response.getToken();
      });
    },
  },
}
</script>

<style scoped>

</style>